/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { IOdspAuthRequestInfo } from "./odspAuth.js";
/**
 * @internal
 */
export interface IOdspDriveItem {
    path: string;
    name: string;
    driveId: string;
    itemId: string;
    isFolder: boolean;
}
/**
 * @internal
 */
export declare function getDriveItemByRootFileName(server: string, account: string | undefined, path: string, authRequestInfo: IOdspAuthRequestInfo, create: boolean, driveId?: string): Promise<IOdspDriveItem>;
/**
 * @internal
 */
export declare function getDriveItemByServerRelativePath(server: string, serverRelativePath: string, authRequestInfo: IOdspAuthRequestInfo, create: boolean): Promise<IOdspDriveItem>;
/**
 * @internal
 */
export declare function getDriveItemFromDriveAndItem(server: string, drive: string, item: string, authRequestInfo: IOdspAuthRequestInfo): Promise<IOdspDriveItem>;
/**
 * @internal
 */
export declare function getChildrenByDriveItem(driveItem: IOdspDriveItem, server: string, authRequestInfo: IOdspAuthRequestInfo): Promise<IOdspDriveItem[]>;
/**
 * @legacy
 * @alpha
 */
export declare function getDriveId(server: string, account: string, library: string | undefined, authRequestInfo: IOdspAuthRequestInfo): Promise<string>;
//# sourceMappingURL=odspDrives.d.ts.map